package com.ruoyi.mall.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 办学层次设置（985、211）对象 mall_config_level
 *
 * @author Lsm
 * @date 2023-10-18
 */
public class MallConfigLevel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 办学层次主键ID */
    private Long configLevelId;

    /** 办学层次名 */
    @Excel(name = "办学层次名")
    private String configLevelName;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    @Excel(name = "删除标记：0-正常，1-删除")
    private String delFlag;

    public void setConfigLevelId(Long configLevelId)
    {
        this.configLevelId = configLevelId;
    }

    public Long getConfigLevelId()
    {
        return configLevelId;
    }
    public void setConfigLevelName(String configLevelName)
    {
        this.configLevelName = configLevelName;
    }

    public String getConfigLevelName()
    {
        return configLevelName;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("configLevelId", getConfigLevelId())
            .append("configLevelName", getConfigLevelName())
            .append("sort", getSort())
            .append("remarks", getRemarks())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
